Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Mesh2D Class Reference

Two-dimensional rectilinear waveguide mesh class. More...

`#include <Mesh2D.h>`

Inheritance diagram for Mesh2D:

List of all members.

## Public Member Functions

| Mesh2D (short nX, short nY)
| Class constructor, taking the x and y dimensions in samples.
| ~Mesh2D ()
| Class destructor.
void | clear ()
| Reset and clear all internal state.
void | setNX (short lenX)
| Set the x dimension size in samples.
void | setNY (short lenY)
| Set the y dimension size in samples.
void | setInputPosition (MY_FLOAT xFactor, MY_FLOAT yFactor)
| Set the x, y input position on a 0.0 - 1.0 scale.
void | setDecay (MY_FLOAT decayFactor)
| Set the loss filters gains (0.0 - 1.0).
void | noteOn (MY_FLOAT frequency, MY_FLOAT amplitude)
| Impulse the mesh with the given amplitude (frequency ignored).
void | noteOff (MY_FLOAT amplitude)
| Stop a note with the given amplitude (speed of decay) ... currently ignored.
MY_FLOAT | energy ()
| Calculate and return the signal energy stored in the mesh.
MY_FLOAT | tick ()
| Compute one output sample, without adding energy to the mesh.
MY_FLOAT | tick (MY_FLOAT input)
| Input a sample to the mesh and compute one output sample.
void | controlChange (int number, MY_FLOAT value)
| Perform the control change specified by number and value (0.0 - 128.0).

## Detailed Description

Two-dimensional rectilinear waveguide mesh class.

This class implements a rectilinear, two-dimensional digital waveguide mesh structure. For details, see Van Duyne and Smith, "Physical Modeling with the 2-D Digital Waveguide Mesh", Proceedings of the 1993 International Computer Music Conference.

This is a digital waveguide model, making its use possibly subject to patents held by Stanford University, Yamaha, and others.

Control Change Numbers:

- X Dimension = 2
- Y Dimension = 4
- Mesh Decay = 11
- X-Y Input Position = 1

by Julius Smith, 2000 - 2002. Revised by Gary Scavone for STK, 2002.

Definition at line 36 of file Mesh2D.h.

The documentation for this class was generated from the following file:

- Mesh2D.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.